Summary:	proxymngr application - proxy manager service
Summary(pl.UTF-8):	Aplikacja proxymngr - usługa zarządzająca proxy
Name:		xorg-app-proxymngr
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/proxymngr-%{version}.tar.bz2
# Source0-md5:	5f6e15cad2609c7bfdc0efb81a02b6ba
Patch0:		%{name}-configdir.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-app-lbxproxy
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The proxy manager (proxymngr) is responsible for resolving requests
from xfindproxy (and other similar clients), starting new proxies when
appropriate, and keeping track of all of the available proxy services.
The proxy manager strives to reuse existing proxies whenever possible.

%description -l pl.UTF-8
Zarządca proxy (proxymngr) odpowiada za spełnianie żądań od xfindproxy
(i innych podobnych klientów), uruchamianie nowych proxy w razie
potrzeby i śledzenie wszystkich dostępnych usług proxy. Zarządca proxy
stara się w miarę możliwości wykorzystywać ponownie istniejące proxy.

%prep
%setup -q -n proxymngr-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LBXPROXY=%{_bindir}/lbxproxy

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/proxymngr
%dir /etc/X11/proxymngr
%config(noreplace) %verify(not md5 mtime size) /etc/X11/proxymngr/pmconfig
%{_mandir}/man1/proxymngr.1*
%changelog
* Wed Apr 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-proxymngr.git;a=log;h=auto/th/xorg-app-proxymngr-1.0.4-1

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 7905320
- updated to 1.0.4

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 047281a
- updated to 1.0.3
- added configdir patch (fixes config file path mismatch)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 1fbe8e2
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> bf39746
- updated to 1.0.2

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 552463a
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> d753f51
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3b4f9e0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d4bdd75
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 8c49c6f
- pass proper CONFIG_DIR values to store pmconfig in /etc/X11/* (following X11-PLD.patch)
- use individual dir, more verbose files, release 1

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 4b88761
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 7d60206
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 8ce7874
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 9d81ff4
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch, added missing dir
- require lbxproxy at install, not build time

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> c0ef242
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> e70d6c5
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 49b95a5
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 1ab0d23
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 38f8d94
- modular xorg specs

